<?php

class GetArticleResponse
{

    /**
     * @var string $IsError
     */
    protected $IsError = null;

    /**
     * @var int $ErrorCode
     */
    protected $ErrorCode = null;

    /**
     * @var string $ErrorMessage
     */
    protected $ErrorMessage = null;

    /**
     * @var string $Code
     */
    protected $Code = null;

    /**
     * @var string $WebCode
     */
    protected $WebCode = null;

    /**
     * @var string $Title
     */
    protected $Title = null;

    /**
     * @var int $Millesime
     */
    protected $Millesime = null;

    /**
     * @var string $Brand
     */
    protected $Brand = null;

    /**
     * @var string $Color
     */
    protected $Color = null;

    /**
     * @var float $Conditioning
     */
    protected $Conditioning = null;

    /**
     * @var string $Packaging
     */
    protected $Packaging = null;

    /**
     * @var float $Price
     */
    protected $Price = null;

    /**
     * @var float $ConditioningPrice
     */
    protected $ConditioningPrice = null;

    /**
     * @var boolean $IsSalable
     */
    protected $IsSalable = null;

    /**
     * @var float $GrossWeight
     */
    protected $GrossWeight = null;

    /**
     * @var float $Stock
     */
    protected $Stock = null;

    /**
     * @param string $IsError
     * @param int $ErrorCode
     * @param string $ErrorMessage
     * @param string $Code
     * @param string $WebCode
     * @param string $Title
     * @param int $Millesime
     * @param string $Brand
     * @param string $Color
     * @param float $Conditioning
     * @param string $Packaging
     * @param float $Price
     * @param float $ConditioningPrice
     * @param boolean $IsSalable
     * @param float $GrossWeight
     * @param float $Stock
     */
    public function __construct($IsError, $ErrorCode, $ErrorMessage, $Code, $WebCode, $Title, $Millesime, $Brand, $Color, $Conditioning, $Packaging, $Price, $ConditioningPrice, $IsSalable, $GrossWeight, $Stock)
    {
      $this->IsError = $IsError;
      $this->ErrorCode = $ErrorCode;
      $this->ErrorMessage = $ErrorMessage;
      $this->Code = $Code;
      $this->WebCode = $WebCode;
      $this->Title = $Title;
      $this->Millesime = $Millesime;
      $this->Brand = $Brand;
      $this->Color = $Color;
      $this->Conditioning = $Conditioning;
      $this->Packaging = $Packaging;
      $this->Price = $Price;
      $this->ConditioningPrice = $ConditioningPrice;
      $this->IsSalable = $IsSalable;
      $this->GrossWeight = $GrossWeight;
      $this->Stock = $Stock;
    }

    /**
     * @return string
     */
    public function getIsError()
    {
      return $this->IsError;
    }

    /**
     * @param string $IsError
     * @return GetArticleResponse
     */
    public function setIsError($IsError)
    {
      $this->IsError = $IsError;
      return $this;
    }

    /**
     * @return int
     */
    public function getErrorCode()
    {
      return $this->ErrorCode;
    }

    /**
     * @param int $ErrorCode
     * @return GetArticleResponse
     */
    public function setErrorCode($ErrorCode)
    {
      $this->ErrorCode = $ErrorCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getErrorMessage()
    {
      return $this->ErrorMessage;
    }

    /**
     * @param string $ErrorMessage
     * @return GetArticleResponse
     */
    public function setErrorMessage($ErrorMessage)
    {
      $this->ErrorMessage = $ErrorMessage;
      return $this;
    }

    /**
     * @return string
     */
    public function getCode()
    {
      return $this->Code;
    }

    /**
     * @param string $Code
     * @return GetArticleResponse
     */
    public function setCode($Code)
    {
      $this->Code = $Code;
      return $this;
    }

    /**
     * @return string
     */
    public function getWebCode()
    {
      return $this->WebCode;
    }

    /**
     * @param string $WebCode
     * @return GetArticleResponse
     */
    public function setWebCode($WebCode)
    {
      $this->WebCode = $WebCode;
      return $this;
    }

    /**
     * @return string
     */
    public function getTitle()
    {
      return $this->Title;
    }

    /**
     * @param string $Title
     * @return GetArticleResponse
     */
    public function setTitle($Title)
    {
      $this->Title = $Title;
      return $this;
    }

    /**
     * @return int
     */
    public function getMillesime()
    {
      return $this->Millesime;
    }

    /**
     * @param int $Millesime
     * @return GetArticleResponse
     */
    public function setMillesime($Millesime)
    {
      $this->Millesime = $Millesime;
      return $this;
    }

    /**
     * @return string
     */
    public function getBrand()
    {
      return $this->Brand;
    }

    /**
     * @param string $Brand
     * @return GetArticleResponse
     */
    public function setBrand($Brand)
    {
      $this->Brand = $Brand;
      return $this;
    }

    /**
     * @return string
     */
    public function getColor()
    {
      return $this->Color;
    }

    /**
     * @param string $Color
     * @return GetArticleResponse
     */
    public function setColor($Color)
    {
      $this->Color = $Color;
      return $this;
    }

    /**
     * @return float
     */
    public function getConditioning()
    {
      return $this->Conditioning;
    }

    /**
     * @param float $Conditioning
     * @return GetArticleResponse
     */
    public function setConditioning($Conditioning)
    {
      $this->Conditioning = $Conditioning;
      return $this;
    }

    /**
     * @return string
     */
    public function getPackaging()
    {
      return $this->Packaging;
    }

    /**
     * @param string $Packaging
     * @return GetArticleResponse
     */
    public function setPackaging($Packaging)
    {
      $this->Packaging = $Packaging;
      return $this;
    }

    /**
     * @return float
     */
    public function getPrice()
    {
      return $this->Price;
    }

    /**
     * @param float $Price
     * @return GetArticleResponse
     */
    public function setPrice($Price)
    {
      $this->Price = $Price;
      return $this;
    }

    /**
     * @return float
     */
    public function getConditioningPrice()
    {
      return $this->ConditioningPrice;
    }

    /**
     * @param float $ConditioningPrice
     * @return GetArticleResponse
     */
    public function setConditioningPrice($ConditioningPrice)
    {
      $this->ConditioningPrice = $ConditioningPrice;
      return $this;
    }

    /**
     * @return boolean
     */
    public function getIsSalable()
    {
      return $this->IsSalable;
    }

    /**
     * @param boolean $IsSalable
     * @return GetArticleResponse
     */
    public function setIsSalable($IsSalable)
    {
      $this->IsSalable = $IsSalable;
      return $this;
    }

    /**
     * @return float
     */
    public function getGrossWeight()
    {
      return $this->GrossWeight;
    }

    /**
     * @param float $GrossWeight
     * @return GetArticleResponse
     */
    public function setGrossWeight($GrossWeight)
    {
      $this->GrossWeight = $GrossWeight;
      return $this;
    }

    /**
     * @return float
     */
    public function getStock()
    {
      return $this->Stock;
    }

    /**
     * @param float $Stock
     * @return GetArticleResponse
     */
    public function setStock($Stock)
    {
      $this->Stock = $Stock;
      return $this;
    }

}
